Lines Matching full:diff
87 specified commits. Currently only the diff is updated; the
94 <Make changes to the diff based on reviewer feedback.>
196 local diff
198 diff=$1
199 if ! expr "$diff" : 'D[1-9][0-9]*$' >/dev/null; then
200 err "invalid diff ID $diff"
203 echo '{"names":["'"$diff"'"]}' |
205 jq -r "select(.response != []) | .response.${diff}.phid"
210 local diff tmp status summary
212 diff=$1
213 if ! expr "$diff" : 'D[1-9][0-9]*$' >/dev/null; then
214 err "invalid diff ID $diff"
218 echo '{"names":["'"$diff"'"]}' |
220 status=$(jq -r "select(.response != []) | .response.${diff}.status" < "$tmp")
222 .response.${diff}.fullName" < "$tmp")
228 local diff
230 diff=$(git show -s --format=%B "$commit" |
232 if [ -n "$diff" ] && [ "$(echo "$diff" | wc -l)" -eq 1 ]; then
233 echo "$diff"
256 local commit diff title
262 diff=$(log2diff "$commit")
263 if [ -n "$diff" ]; then
264 echo "$diff"
271 diff=$(title2diff "$title")
272 if [ -z "$diff" ]; then
274 elif [ "$(echo "$diff" | wc -l)" -ne 1 ]; then
278 echo "$diff"
305 arc diff --message-file "$msg" --never-apply-patches --create \
307 [ $? -eq 0 ] || err "could not create Phabricator diff"
310 diff=$(commit2diff "$commit")
311 [ -n "$diff" ] || err "failed to look up review ID for $commit"
313 childphid=$(diff2phid "$diff")
328 # Get a list of reviewers who accepted the specified diff.
331 local diff reviewid userids
333 diff=$1
334 reviewid=$(diff2phid "$diff")
453 local chash commit commits diff openrevs title
462 diff=$(log2diff "$commit")
463 if [ -n "$diff" ]; then
464 diff2status "$diff"
471 diff=$(echo "$openrevs" | \
474 if [ -z "$diff" ]; then
476 elif [ "$(echo "$diff" | wc -l)" -ne 1 ]; then
478 echo "$diff" | grep -E -o 'D[1-9][0-9]*:' | tr -d ':' \
481 echo "$diff" | sed -e 's/^[^ ]* *//'
558 local diff reviewid review_data authorid user_data user_addr user_name
561 diff=$1
562 reviewid=$(diff2phid "$diff")
582 echo '{"revisionIDs": [ '"${diff#D}"' ]}' | \
611 reviewers=$(diff2reviewers "$diff" | sed '/^$/d' | paste -sd ',' - | sed 's/,/, /g')
616 printf "Differential Revision:\thttps://reviews.freebsd.org/%s\n" "${diff}" >> "$tmp"
654 local author branch commit commits diff reviewers title tmp
681 diff=$(title2diff "$title")
682 if [ -n "$diff" ]; then
684 reviewers=$(diff2reviewers "$diff" | sed '/^$/d' | paste -sd ',' - | sed 's/,/, /g')
688 printf "Differential Revision:\thttps://reviews.freebsd.org/%s" "${diff}" >> "$tmp"
702 local commit commits diff doprompt have_msg list o msg
738 diff=$(commit2diff "$commit")
748 arc diff --message "$msg" --allow-untracked --never-apply-patches \
749 --update "$diff" --head "$commit" "${commit}~"
751 arc diff --allow-untracked --never-apply-patches --update "$diff" \